package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.domain.BaseEntity;
import com.ruoyi.common.xss.Xss;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;

public class Introduction extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long introId;

    private String title;

    private String summary;

    private String images;

    private String status;

    public Long getIntroId()
    {
        return introId;
    }

    public void setIntroId(Long introId)
    {
        this.introId = introId;
    }

    public void setTitle(String title)
    {
        this.title = title;
    }

    @Xss(message = "标题不能包含脚本字符")
    @NotBlank(message = "标题不能为空")
    @Size(min = 0, max = 200, message = "标题不能超过200个字符")
    public String getTitle()
    {
        return title;
    }

    public void setSummary(String summary)
    {
        this.summary = summary;
    }

    @Xss(message = "简介不能包含脚本字符")
    @NotBlank(message = "简介不能为空")
    @Size(min = 0, max = 500, message = "简介不能超过500个字符")
    public String getSummary()
    {
        return summary;
    }

    public void setImages(String images)
    {
        this.images = images;
    }

    public String getImages()
    {
        return images;
    }

    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("introId", getIntroId())
            .append("title", getTitle())
            .append("summary", getSummary())
            .append("images", getImages())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
